Subject: Re: [RFC] Replace rebase with filtering

From: Steven Grimm <[email-masked]>
Date: Tue, 16 Jan 2007 12:40:30 -0800

Johannes Schindelin wrote:
> That is correct, but --ignore-if-in-upstream actually tests the hash of 
> the _diff_, not of the commit. So, if c really introduces the same change 
> as f (i.e. the diffs are identical), git-rebase will ignore f:
>
> a---b---c---d
>              \
>               e'---g'
>
> Totally untested, of course. But this is what --ignore-if-in-upstream was 
> written for.
>   

Okay, great, that is certainly an improvement over what I thought was 
happening. But it won't work if you had to manually resolve a conflict 
during the rebase, yes? In that case the diffs would presumably not match.

-Steve